Retrieve the list of affiliates for a account.

http
GET https://services.leadconnectorhq.com/affiliate-manager/{locationId}/affiliates

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KTAccount Id

Query parameters

NameTypeRequiredExampleDescription
querystringNoJohn
activestringNoTrue
campaignIdstringNo63d376de11be1d26d38f7369
skipnumberNo1
limitnumberNo10Maximum number of records to return. Maximum allowed value is 100.
fromDatestringNo2023-10-01
toDatestringNo2023-10-01

Responses

200 - Successful response
  • affiliates (object[], required): Affiliate list

    • _id (string, required): Affiliate id Example: 63d147176c5bbc30e9e091a4

    • firstName (string): Affiliate first name Example: John

    • lastName (string): Affiliate last name Example: Doe

    • phone (string): Affiliate phone number Example: +1 888 888-8888

    • deleted (boolean): Whether the affiliate is deleted Example: False

    • locationId (string, required): Account id Example: ve9EPM428h8vShlRW1KT

    • active (boolean): Whether the affiliate is active Example: True

    • address (string): Affiliate address Example: 123 Main St

    • avatar (string): Affiliate avatar URL Example: https://example.com/avatar.png

    • createdAt (string): Created at timestamp Example: 2024-06-16T00:00:00.000Z

    • createdBy (object): Created by audit info

    • facebookUrl (string): Facebook URL Example: https://facebook.com/johndoe

    • instagramUrl (string): Instagram URL Example: https://instagram.com/johndoe

    • linkedInUrl (string): LinkedIn URL Example: https://linkedin.com/in/johndoe

    • twitterUrl (string): Twitter URL Example: https://twitter.com/johndoe

    • youtubeUrl (string): YouTube URL Example: https://youtube.com/channel

    • websiteUrl (string): Website URL Example: https://example.com

    • contactId (string): Contact id associated with the affiliate Example: ve9EPM428h8vShlRW1KT

    • campaignIds (string[]): Campaign ids

    • vatId (string): VAT ID Example: VAT123

    • updatedAt (string): Updated at timestamp Example: 2024-06-16T00:00:00.000Z

    • w8Form (string): W8 form URL

    • w9Form (string): W9 form URL

    • lastUpdatedBy (object): Last updated by audit info

    • email (string, required): Affiliate email Example: john.doe@example.com

    • revenue (number): Affiliate revenue Example: 1250.5

    • customer (number): Customer count Example: 15

    • lead (number): Lead count Example: 5

    • droppedCustomer (number): Dropped customer count Example: 2

    • clickCount (number): Click count Example: 100

    • paid (number): Paid amount Example: 500

    • currency (string): Currency code Example: USD

    • owned (number): Owned amount Example: 750

  • meta (object, required): Pagination metadata

json
{
  "affiliates": [
    {
      "_id": "63d147176c5bbc30e9e091a4",
      "firstName": "John",
      "lastName": "Doe",
      "phone": "+1 888 888-8888",
      "deleted": false,
      "locationId": "ve9EPM428h8vShlRW1KT",
      "active": true,
      "address": "123 Main St",
      "avatar": "https://example.com/avatar.png",
      "createdAt": "2024-06-16T00:00:00.000Z",
      "createdBy": {},
      "facebookUrl": "https://facebook.com/johndoe",
      "instagramUrl": "https://instagram.com/johndoe",
      "linkedInUrl": "https://linkedin.com/in/johndoe",
      "twitterUrl": "https://twitter.com/johndoe",
      "youtubeUrl": "https://youtube.com/channel",
      "websiteUrl": "https://example.com",
      "contactId": "ve9EPM428h8vShlRW1KT",
      "campaignIds": [
        "650173614761b33c46d33b19"
      ],
      "vatId": "VAT123",
      "updatedAt": "2024-06-16T00:00:00.000Z",
      "w8Form": "string",
      "w9Form": "string",
      "lastUpdatedBy": {},
      "email": "john.doe@example.com",
      "revenue": 1250.5,
      "customer": 15,
      "lead": 5,
      "droppedCustomer": 2,
      "clickCount": 100,
      "paid": 500,
      "currency": "USD",
      "owned": 750
    }
  // truncado: 2 lineas mas
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/affiliate-manager/YOUR_locationId/affiliates' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?